OnlyDNS System API (1.0.0)

Download OpenAPI specification:

Manage DNS

List Domains

List Domains

Authorizations:
BearerAuth
query Parameters
offset
integer
Default: 0
Example: offset=50

The offset number to retrieve.

limit
integer <= 1000
Default: 200
Example: limit=500

The number of domain results per query.

Responses

Response samples

Content type
application/json
Example
[
  • "example.com",
  • "example.net",
  • "example.org",
  • "example.us",
  • "example.eu"
]

Get DNS Records

Get all DNS records for the name

Authorizations:
BearerAuth
path Parameters
domainName
required
string (DomainName)
Example: example.com

Domain Name

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Replace DNS Records

Replace all DNS records on the Domain

Authorizations:
BearerAuth
path Parameters
domainName
required
string (DomainName)
Example: example.com

Domain Name

Request Body schema: application/json
required
Array
name
string
type
string
Enum Description
A

A

AAAA

AAAA

MX

MX

CNAME

CNAME

TXT

TXT

SRV

SRV

CAA

CAA

CERT

CERT

HTTPS

HTTPS

LOC

LOC

NAPTR

NAPTR

NS

NS

SMIMEA

SMIMEA

SSHFP

SSHFP

SVCB

SVCB

TLSA

TLSA

URL

URL Forwarding (Non-Standard Record)

PROXY

Proxy record will load the remote content masked. (Non-Standard Record, Additional Fees May Apply)

ttl
integer
records
Array of strings

One or more records for this hostname + type combination.

Responses

Request samples

Content type
application/json
null

Response samples

Content type
application/json
{
  • "lang": "en-US",
  • "errorCode": 0,
  • "title": "string",
  • "description": [
    ]
}

Get TSIG Keys

Get all DNS TSIG keys for the account

Authorizations:
BearerAuth

Responses

Response samples

Content type
application/json
{
  • "tsigKeys": [
    ]
}

Create TSIG Key

Create a new TSIG key for the account. A TSIG key may be used on multiple domains.

Authorizations:
BearerAuth
Request Body schema: application/json
optional
algorithm
string (TsigAlgorithm)
Enum: "mac-md5" "hmac-sha1" "hmac-sha224" "hmac-sha256" "hmac-sha384" "hmac-sha512"

TSIG key algorithm

Responses

Request samples

Content type
application/json
null

Response samples

Content type
application/json
{
  • "name": "string",
  • "algorithm": "mac-md5",
  • "key": "string"
}

Get TSIG Key

Get details for TSIG key

Authorizations:
BearerAuth
path Parameters
key
required
string (TsigKey)

TSIG Key Name

Responses

Response samples

Content type
application/json
{
  • "name": "string",
  • "algorithm": "mac-md5",
  • "key": "string"
}

Domain Delete TSIG

Delete all TSIG keys from a domain

Authorizations:
BearerAuth
path Parameters
domainName
required
string (DomainName)
Example: example.com

Domain Name

Responses

Response samples

Content type
application/json
{
  • "lang": "en-US",
  • "errorCode": 0,
  • "title": "string",
  • "description": [
    ]
}

Domain Update TSIG Key

Update the TSIG key access settings on a domain

Authorizations:
BearerAuth
path Parameters
domainName
required
string (DomainName)
Example: example.com

Domain Name

key
required
string (TsigKey)

TSIG Key Name

Request Body schema: application/json
required
allowAxfr
required
boolean

Whether to allow AXFR transfers for this domain+TSIG key

allowDnsUpdate
required
boolean

Whether to allow DNS updates for this domain+TSIG key

Responses

Request samples

Content type
application/json
{
  • "allowAxfr": true,
  • "allowDnsUpdate": true
}

Response samples

Content type
application/json
{
  • "lang": "en-US",
  • "errorCode": 0,
  • "title": "string",
  • "description": [
    ]
}